# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2022/10/27
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from main.common import Common
from xinshi.xinshi_pc import XinshiPC


class Main:
    @classmethod
    def main(cls, log_type, env):
        while True:
            if 10 <= datetime.datetime.now().hour <= 16:
                Common.logger(log_type).info('开始抓取"新视-PC"内容\n')
                XinshiPC.login(log_type, env)

                Common.logger(log_type).info('休眠 1 分钟')
                time.sleep(60)
                Common.del_logs(log_type)


if __name__ == '__main__':
    Main.main('xinshi', 'dev')
